nvidia 460 version mismatch Xubuntu

Asked by Galen Thurber on 2021-04-25

dmesg
reporting

NVRM: API mismatch: the client has the version 460.73.01, but
                NVRM: this kernel module has the version 460.56. Please
                NVRM: make sure that this kernel module and all NVIDIA driver
                NVRM: components have the same version.

is there a repo error?

for now reverting to nouveau.

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu Edit question
Assignee:
No assignee Edit question
Last query:
Last reply:
Manfred Hampl (m-hampl) said : #1

For diagnostic purposes, what is the output of the commands

uname -a
lsb_release -crid
apt-cache policy libnvidia-common-460 nvidia-kernel-common-460
modinfo nvidia-drm

Galen Thurber (godfree2) said : #2

I had to revert to nouveau
then to nvidia 450

this is current

$ uname -a
Linux west-desktop 4.15.0-142-generic #146-Ubuntu SMP Tue Apr 13 01:11:19 UTC 2021 x86_64 x86_64 x86_64 GNU/Linux

Distributor ID: Ubuntu
Description: Ubuntu 18.04.5 LTS
Release: 18.04
Codename: bionic

libnvidia-common-460:
  Installed: (none)
  Candidate: 460.73.01-0ubuntu0.18.04.1
  Version table:
     460.73.01-0ubuntu0.18.04.1 500
        500 http://ca.archive.ubuntu.com/ubuntu bionic-updates/restricted amd64 Packages
        500 http://ca.archive.ubuntu.com/ubuntu bionic-updates/restricted i386 Packages
        500 http://security.ubuntu.com/ubuntu bionic-security/restricted amd64 Packages
        500 http://security.ubuntu.com/ubuntu bionic-security/restricted i386 Packages
nvidia-kernel-common-460:
  Installed: (none)
  Candidate: 460.73.01-0ubuntu0.18.04.1
  Version table:
     460.73.01-0ubuntu0.18.04.1 500
        500 http://ca.archive.ubuntu.com/ubuntu bionic-updates/restricted amd64 Packages
        500 http://security.ubuntu.com/ubuntu bionic-security/restricted amd64 Packages
        100 /var/lib/dpkg/status

filename: /lib/modules/4.15.0-142-generic/updates/dkms/nvidia-drm.ko
version: 450.119.03
supported: external
license: MIT
srcversion: 29E9ECA54C019392B87F209
alias: pci:v000010DEd*sv*sd*bc03sc02i00*
alias: pci:v000010DEd*sv*sd*bc03sc00i00*
depends: drm,drm_kms_helper,nvidia-modeset
retpoline: Y
name: nvidia_drm
vermagic: 4.15.0-142-generic SMP mod_unload modversions
parm: modeset:Enable atomic kernel modesetting (1 = enable, 0 = disable (default)) (bool)

Manfred Hampl (m-hampl) said : #3

If you already have reverted from NVidia 460 to NVidia 450, then the commands do not show information that helps searching the cause of your problem any more. I am sorry, but I do not see a possibility to help further.

Ubfan (ubfan1) said : #4

After an Nvidia driver update, the running kernel is still using the old Nvidia module, and you get such mis-match messages. Simply reboot to fix this, getting the new module into the kernel.

Can you help with this problem?

Provide an answer of your own, or ask Galen Thurber for more information if necessary.

To post a message you must log in.